Bug 832153 - Different wifi connection power level between networkmanager icon and wifi list
Different wifi connection power level between networkmanager icon and wifi list
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-plasma-networkmanagement (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 13:07 EDT by Germano Massullo
Modified: 2013-08-01 05:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:23:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
icon level (28.80 KB, image/png)
2012-06-14 13:07 EDT, Germano Massullo
no flags Details
wifi list (58.08 KB, image/png)
2012-06-14 13:07 EDT, Germano Massullo
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 301920 None None None 2012-06-14 13:14:05 EDT

  None (edit)
Description Germano Massullo 2012-06-14 13:07:05 EDT
Created attachment 591882 [details]
icon level

Description of problem:
I noticed that wifi connection power indicator icon indicates zero power but when you open the list of wifi networks you see the real power level.



Additional info:
IBM Thinkpad T60
KDE 4.8.3

lspci >>
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 2 (rev 02)
00:1c.2 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 3 (rev 02)
00:1c.3 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 4 (rev 02)
00:1d.0 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA AHCI Controller (rev 02)
00:1f.3 SMBus: Intel Corporation N10/ICH 7 Family SMBus Controller (rev 02)
02:00.0 Ethernet controller: Intel Corporation 82573L Gigabit Ethernet Controller
03:00.0 Ethernet controller: Atheros Communications Inc. AR5212 802.11abg NIC (rev 01)
15:00.0 CardBus bridge: Texas Instruments PCI1510 PC card Cardbus Controller
Comment 1 Germano Massullo 2012-06-14 13:07:34 EDT
Created attachment 591883 [details]
wifi list
Comment 2 Germano Massullo 2012-10-17 08:32:16 EDT
I just reopened the upstream report since it is happening again on KDE 4.9.2
Comment 3 Zdenek Kabelac 2012-10-22 09:06:30 EDT
It happens to me as described in  Bug  864609  comment 4.

Start wired session in dock station - undock and connect to wifi - first connection gets 0 power - after reconnection it's ok.
Comment 4 Jirka Klimes 2012-10-22 11:13:08 EDT
I'd guess it could be Wi-Fi driver signal strength reporting issues.

In order to confirm/disprove that, it would help to get/monitor strength NM sees:
$ nmcli dev wifi

or even with iwconfig

What wifi card/driver is that?
$ nmcli -f general dev list iface wlan0
Comment 5 Zdenek Kabelac 2012-12-09 13:56:13 EST
# LANG=C nmcli dev wifi
SSID                              BSSID    MODE             FREQ       RATE       SIGNAL   SECURITY   ACTIVE
'xxx'                             20:2B:   Infrastructure   2447 MHz   54 MB/s    65       WPA2       no
'xxxxxxxxxxx'                     80:B6:   Infrastructure   2422 MHz   54 MB/s    25       WPA        no
'xxxxx'                           54:E6:   Infrastructure   2437 MHz   54 MB/s    25       WPA        no
'xxxxx'                           CC:5D:   Infrastructure   2472 MHz   54 MB/s    22       WPA2       no
'xxxx'                            00:19:   Infrastructure   2442 MHz   54 MB/s    20       WPA2       no
'xxxxxxxxx'                       C8:3A:   Infrastructure   2437 MHz   54 MB/s    15       WPA        no
'MOJE  WIFI'                      94:0C:   Infrastructure   2412 MHz   54 MB/s    85       WPA2       yes



So I guess 85 Quality should qualify more then 1 blue stripe ;)
I remind I'm not using Gnome3 shell - I used 2D version.

# LANG=C nmcli -f general dev list iface wlan0
GENERAL.DEVICE:                         wlan0
GENERAL.TYPE:                           802-11-wireless
GENERAL.VENDOR:                         @�
GENERAL.PRODUCT:                        --
GENERAL.DRIVER:                         iwl3945
GENERAL.DRIVER-VERSION:                 
GENERAL.FIRMWARE-VERSION:               
GENERAL.HWADDR:                         xx:xx:xx:xx:xx:xx
GENERAL.STATE:                          100 (connected)
GENERAL.REASON:                         0 (No reason given)
GENERAL.UDI:                            /sys/devices/pci0000:00/0000:00:1c.1/0000:03:00.0/net/wlan0
GENERAL.IP-IFACE:                       wlan0
GENERAL.NM-MANAGED:                     yes
GENERAL.AUTOCONNECT:                    yes
GENERAL.FIRMWARE-MISSING:               no
GENERAL.CONNECTION:                     /org/freedesktop/NetworkManager/ActiveConnection/11


Unsure why   VENDOR is garbage string...
Comment 6 Fedora End Of Life 2013-07-03 22:47:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 05:23:25 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.